Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ServiceUserDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ServiceUserDO

    public class ServiceUserDO

extends AbstractDataObject

Data object representing a user of a service(s) in WSO2 WSAS

Constructor Summary
`ServiceUserDO()`

Method Summary
`void` | `addRole(ServiceUserRoleDO role)`
`void` | `addService(ServiceDO service)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDescription()`
`java.util.Date` | `getLastFailedLogIn()`
`java.lang.String` | `getLastFailedLoginIP()`
`java.util.Date` | `getLastLoggedIn()`
`java.lang.String` | `getLastLoginIP()`
`java.lang.String` | `getPassword()`
`java.util.Set` | `getRoles()`
`java.util.Set` | `getServices()`
`java.lang.String` | `getUsername()`
`int` | `hashCode()`
`boolean` | `hasRole(java.lang.String role)`
`void` | `removeService(ServiceDO service)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLastFailedLogIn(java.util.Date lastFailedLogIn)`
`void` | `setLastFailedLoginIP(java.lang.String lastFailedLoginIP)`
`void` | `setLastLoggedIn(java.util.Date lastLoggedIn)`
`void` | `setLastLoginIP(java.lang.String lastLoginIP)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRoles(java.util.Set roles)`
`void` | `setServices(java.util.Set services)`
`void` | `setUsername(java.lang.String username)`
`java.lang.String` | `toString()`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceUserDO

    public ServiceUserDO()

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hasRole

    public boolean hasRole(java.lang.String role)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getRoles

    public java.util.Set getRoles()

### setRoles

    public void setRoles(java.util.Set roles)

### getServices

    public java.util.Set getServices()

### setServices

    public void setServices(java.util.Set services)

### addService

    public void addService(ServiceDO service)

### removeService

    public void removeService(ServiceDO service)

### addRole

    public void addRole(ServiceUserRoleDO role)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getLastLoggedIn

    public java.util.Date getLastLoggedIn()

### setLastLoggedIn

    public void setLastLoggedIn(java.util.Date lastLoggedIn)

### getLastFailedLogIn

    public java.util.Date getLastFailedLogIn()

### setLastFailedLogIn

    public void setLastFailedLogIn(java.util.Date lastFailedLogIn)

### getLastLoginIP

    public java.lang.String getLastLoginIP()

### setLastLoginIP

    public void setLastLoginIP(java.lang.String lastLoginIP)

### getLastFailedLoginIP

    public java.lang.String getLastFailedLoginIP()

### setLastFailedLoginIP

    public void setLastFailedLoginIP(java.lang.String lastFailedLoginIP)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD